Ctrl::GetDefaultWindowRect on X11 dosen't recognize multi monitor mode.
Description

http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=7902&#38;start=0x%x%

Related issues:

Precedes Feature # 587: X11 needs minimal multi monitor mode support Approved 11/25/2013

History

#1 - 11/13/2013 11:56 AM - Zbigniew Rebacz

- Status changed from New to Ready for QA

#2 - 11/19/2013 05:16 PM - Zbigniew Rebacz

I would like to noticed that this code is minimal base for future X11 multi monitor handling. On the other hand this patch should fix some issues such as

unnatural windows width or height.

My goal is to implement "GetWorkarea" method. It is a little bit harder, beacuse we have to take into account many factors.

#3 - 11/26/2013 04:08 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Rejected

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Deprected, beacuse "Ctrl::GetDefaultWindowRect" method needs additional multi monitor support. I will update this method in #587 thread.

04/26/2025 1/1

http://www.ultimatepp.org/forum/index.php?t=msg&#38;th=7902&#38;start=0x%x

